ServerEvents.recipes(event => {
event.remove({ id: 'ae2:network/blocks/controller' })
event.remove({ id: 'ae2:network/blocks/energy_energy_acceptor' })
event.remove({ id: 'extendedcrafting:black_iron_ingot' })
event.remove({ id: 'avaritia:ultimate_stew' })
event.remove({ id: 'extendedcrafting:compressor' })
event.remove({ id: 'industrialforegoing:machine_frame_pity' })
event.remove({ id: 'ae2:network/blocks/inscribers' })
event.shaped('kubejs:universal_press', ['FPF', 'CSL', 'FEF'], {F: '#c:ingots/sky_steel',  P: 'ae2:silicon_press', C: 'ae2:calculation_processor_press', S: 'minecraft:slime_ball', L: 'ae2:logic_processor_press', E: 'ae2:engineering_processor_press'})
event.shaped('minecraft:sculk_sensor', ['   ', 'VBV', 'DBD'], {V: 'minecraft:twisting_vines', B: 'minecraft:warped_wart_block', D: 'minecraft:crying_obsidian'})
event.shaped('4x minecraft:light', ['   ', ' VV', ' VV'], {V: 'minecraft:torch'})
event.shaped('kubejs:wooden_shears', ['V  ', ' V ', '   '], {V: '#minecraft:logs'})
event.shaped('3x minecraft:sculk_vein', ['BV ', 'VV ', '   '], {V: 'minecraft:vine', B: 'minecraft:echo_shard'})
event.shaped('8x minecraft:crying_obsidian', ['VVV', 'VBV', 'VVV'], {V: 'minecraft:obsidian', B: 'minecraft:ghast_tear'})
event.shaped('3x minecraft:glow_lichen', ['BV ', 'VV ', '   '], {V: 'minecraft:vine', B: 'minecraft:glowstone_dust'})
event.shaped('allthemodium:alloy_paxel', ['AB ', 'CD ', '   '], {A: 'allthemodium:alloy_sword', B: 'allthemodium:alloy_axe', C: 'allthemodium:alloy_pick', D: 'allthemodium:alloy_shovel'})
event.shaped('kubejs:supreme_endestest_pearl', ['CBD', 'EAF', 'GBH'], {A: 'allthetweaks:ender_pearl_block', B: 'kubejs:rune_of_dragon', C: 'kubejs:charged_nightsky_coal', D: 'kubejs:charged_nightsky_diamond', E: 'kubejs:charged_nightsky_emerald', F: 'kubejs:charged_nightsky_iron', G: 'kubejs:charged_nightsky_lapis', H: 'kubejs:charged_nightsky_redstone'})
event.shaped('kubejs:custom_core_1', ['BAB', 'ABA', 'BAB'], {A: 'mekanism:pellet_antimatter', B: 'kubejs:custom_core'})
event.shaped('kubejs:neutron_gear', [' V ', 'VBV', ' V '], {V: 'avaritia:neutron_ingot', B: 'enderio:dark_bimetal_gear'})
event.shaped('9x kubejs:awakened_chaos_nugget', ['   ', 'V  ', '   '], {V: 'kubejs:awakened_chaos_ingot'})
event.shaped('kubejs:awakened_chaos_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:awakened_chaos_nugget'})
event.shaped('9x kubejs:awakened_chaos_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:awakened_chaos_block'})
event.shaped('kubejs:awakened_chaos_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:awakened_chaos_ingot'})
event.shaped('kubejs:awakened_chaos_gear', [' V ', 'VAV', ' V '], {A: 'minecraft:iron_nugget', V: 'kubejs:awakened_chaos_ingot'})
event.shaped('create:andesite_alloy', ['   ', ' VA', ' AV'], {V: 'minecraft:cobblestone', A: 'minecraft:andesite'})
event.shaped('4x industrialupgrade:itemingots/chromium_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:chromium_essence'})
event.shaped('6x minecraft:redstone', ['   ', 'VVV', '   '], {V: 'regions_unexplored:pointed_redstone'})
event.shaped('6x minecraft:redstone', ['   ', 'VV ', '   '], {V: 'regions_unexplored:redstone_bud'})
event.shaped('kubejs:ultimate_honeycomb', ['   ', 'AB ', '   '], {A: 'kubejs:ultimate_honeycomb_left', B: 'kubejs:ultimate_honeycomb_right'})
const normalMaterials = ['redstone', 'iron', 'emerald', 'diamond', 'coal', 'lapis']
const chargedMaterials = ['redstone', 'iron', 'emerald', 'diamond', 'coal', 'lapis']
normalMaterials.forEach(type => {
event.shaped(`kubejs:nightsky_${type}_block`, ['VVV', 'VVV', 'VVV'], { V: `kubejs:nightsky_${type}` })
event.shapeless(`9x kubejs:nightsky_${type}`, `kubejs:nightsky_${type}_block`)})
chargedMaterials.forEach(type => {
event.shaped(`kubejs:charged_nightsky_${type}_block`, ['VVV', 'VVV', 'VVV'], { V: `kubejs:charged_nightsky_${type}` })
event.shapeless(`9x kubejs:charged_nightsky_${type}`, `kubejs:charged_nightsky_${type}_block`)})
event.shaped('extendedcrafting:the_ultimate_ingot', ['   ', ' V ', ' B '], {V: 'kubejs:incomplete_infinity_ingot_2', B: 'kubejs:incomplete_infinity_ingot'})
})